Package twisted :: Package xish :: Module xpathparser :: Class XPathParserScanner |
[frames | no frames]

## Class XPathParserScanner

    Scanner --+
              |
             XPathParserScanner

Method Summary
| `__init__(self, str)`
Inherited from Scanner
| ``__repr__`(self)` Print the last 10 tokens that have been scanned in
| ``scan`(self, restrict)` Should scan another token and add it to the list, self.tokens, and add the restriction to self.restrictions
| ``token`(self, i, restrict)` Get the i'th token, and if i is one past the end, then scan for another token; restrict is a list of tokens that are allowed, or 0 for any token.

Class Variable Summary
`list` | `patterns` = `[('"\\)"', <_sre.SRE_Pattern object at 0x8b20...`

Class Variable Details

    ### patterns Type: `list` Value:
        [('"\\)"', <_sre.SRE_Pattern object at 0x8b20fc0>),
         ('","', <_sre.SRE_Pattern object at 0x8733dc8>),
         ('"\\("', <_sre.SRE_Pattern object at 0x8b085c0>),
         ('"@"', <_sre.SRE_Pattern object at 0x8b2d2f0>),
         ('"\\]"', <_sre.SRE_Pattern object at 0x8807e18>),
         ('"\\["', <_sre.SRE_Pattern object at 0x84b1a50>),
         ('"/"', <_sre.SRE_Pattern object at 0x87ff4a8>),
         ('\\s+', <_sre.SRE_Pattern object at 0x86fa6d0>),
        ...

Generated by Epydoc 2.0 on Sat Oct 25 00:55:09 2003 | http://epydoc.sf.net